#! /bin/bash
set -e

echo "mkdebarchive.sh (C) 2012-2013 Mmoebius/ALUG License: GPLv3 GNU Public License"

echo "Prerequisite: Alle .deb-Packete liegen in ./archives/"
test -d ./archives || { echo "FAIL: no './archives'"; exit 2; }
cd archives

echo
echo "Scanne nach Packages"
dpkg-scanpackages -a noarch . > Packages.noarch
dpkg-scanpackages -a amd64  . > Packages.amd64
dpkg-scanpackages -a i386   . > Packages.i386

echo
echo "Erzeuge dist-Verzeichnisse"
mkdir -p dists/precise/lip/binary-amd64
mkdir -p dists/precise/lip/binary-i386

echo
echo "Erzeuge Packages.bz2"
cat Packages.noarch Packages.amd64 | bzip2 -c9 > dists/precise/lip/binary-amd64/Packages.bz2
cat Packages.noarch Packages.i386  | bzip2 -c9 > dists/precise/lip/binary-i386/Packages.bz2

echo
echo "Erzeuge './dists/precise/lip/binary-amd/Release'"
cat >dists/precise/lip/binary-amd64/Release <<EOF
Archive: precise
Version: 12.04
Component: main
Origin: Ubuntu
Label: Ubuntu
Architecture: amd64
EOF

echo
echo "Erzeuge './dists/precise/lip/binary-i386/Release'"
cat >dists/precise/lip/binary-i386/Release <<EOF
Archive: precise
Version: 12.04
Component: main
Origin: Ubuntu
Label: Ubuntu
Architecture: i386
EOF

echo
echo "Erzeuge './Release'"
cat >Release <<EOF
Origin: Ubuntu
Label: LIP Ubuntu Extra Packages
Suite: precise
Version: 12.04
Codename: precise
Date: Wed, 30 Sep 2012 01:49:23 UTC
Architectures: amd64 i386
Components: lip
Description: Ubuntu Precise 12.04
EOF

#echo
#echo "Erzeuge einen geeigneten Eintrag für APT in 'sources.list.d/01lip-stick-extra.list'"
#echo "deb [ trusted=yes ] file:/${PWD#/} precise lip" > /etc/apt/sources.list.d/01lip-stick-extra.list 

#echo
#echo "User: Bitte gleich 'apt-get update' starten. Das sollte das Repository einbinden"
#echo "In diesem Verzeichnis liegen noch 3 Packages.* -Dateien. Die können gelöscht werden"
#echo "Ende."

#end;

